## org.freedesktop.NetworkManager.Device.Wired

org.freedesktop.NetworkManager.Device.Wired

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    HwAddress        readable   s
    PermHwAddress    readable   s
    Speed            readable   u
    S390Subchannels  readable   as
    Carrier          readable   b

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "HwAddress" property

    HwAddress  readable   s

Active hardware address of the device.

### The "PermHwAddress" property

    PermHwAddress  readable   s

Permanent hardware address of the device.

### The "Speed" property

    Speed  readable   u

Design speed of the device, in megabits/second (Mb/s).

### The "S390Subchannels" property

    S390Subchannels  readable   as

Array of S/390 subchannels for S/390 or z/Architecture devices.

### The "Carrier" property

    Carrier  readable   b

Indicates whether the physical carrier is found (e.g. whether a cable is plugged in or not).